Package org.apache.lucene.analysis.hunspell

# Interface NGramFragmentChecker.NGramConsumer

Enclosing class:
  `NGramFragmentChecker`

public static interface NGramFragmentChecker.NGramConsumer
A callback for n-gram ranges in words

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `processNGram(CharSequence word, int start, int end)`
  `default void`
  `processNGrams(int n, CharSequence word)`
  Call `processNGram(java.lang.CharSequence, int, int)` for each fragment of the length `n` in the given word

- ## Method Details

  - ### processNGram

    void processNGram(CharSequence word, int start, int end)

  - ### processNGrams

    default void processNGrams(int n, CharSequence word)
    Call `processNGram(java.lang.CharSequence, int, int)` for each fragment of the length `n` in the given word